Subject: Re: [PATCH] powerpc: disable MSI using new interface if possible

From: Florian Mickler <[email-masked]>
Date: Fri, 4 Mar 2011 12:13:26 +0100

On Thu, 03 Mar 2011 19:29:19 -0800
Joe Perches <[email-masked]> wrote:

> > $ git log --pretty=format:"%an %ae" arch/powerpc/platforms/pseries/msi.c
> > Andre Detsch [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > Michael Ellerman [email-masked]
> > 
> > And the patch from Andre was also signed off by me.
> 
> How nice for you.  Last patch from you was
> 2 years ago.
> 

The problem is, that it get's pretty slow if you don't do a time
cut-off... i don't know the complexity but i guess it's linear in
(number of files) * (number of commits) * (avg size of diffs) ... 
(if you compute the diffstat) 

What I'll probably try as soon as I have another few hours to spare
for get_maintainer.pl, is to implement a fall back to older history if
the data basis is not stable enough. 

> 
> CC'ing inactive non named maintainers via git
> history also draws complaints btw.
> 
Yes.  I guess, my current version could use an staggered approach where
it does more digging if the results are too volatile... but first
try to be fast ...

Regards,
Flo